# --- ROCK-COPYRIGHT-NOTE-BEGIN ---
# 
# This copyright note is auto-generated by ./scripts/Create-CopyPatch.
# Please add additional copyright information _after_ the line containing
# the ROCK-COPYRIGHT-NOTE-END tag. Otherwise it might get removed by
# the ./scripts/Create-CopyPatch script. Do not edit this copyright text!
# 
# ROCK Linux: rock-src/misc/pkgsel/crystal.in
# ROCK Linux is Copyright (C) 1998 - 2005 Clifford Wolf
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version. A copy of the GNU General Public
# License can be found at Documentation/COPYING.
# 
# Many people helped and are helping developing ROCK Linux. Please
# have a look at https://www.rocklinux.org/ and the Documentation/TEAM
# file for details.
# 
# --- ROCK-COPYRIGHT-NOTE-END ---
#
# TITLE: package selection emulating crystal

pkgfilter sed '

# select packages explicitly
/ 00-dirtree / { s/^[XO] /X /p; d; };
/ acl / { s/^[XO] /X /p; d; };
/ alsa / { s/^[XO] /X /p; d; };
/ alsa-driver / { s/^[XO] /X /p; d; };
/ apache / { s/^[XO] /X /p; d; };
/ apmd / { s/^[XO] /X /p; d; };
/ arts / { s/^[XO] /X /p; d; };
/ at / { s/^[XO] /X /p; d; };
/ atk / { s/^[XO] /X /p; d; };
/ attr / { s/^[XO] /X /p; d; };
/ audiofile / { s/^[XO] /X /p; d; };
/ autoconf / { s/^[XO] /X /p; d; };
/ automake / { s/^[XO] /X /p; d; };
/ bash / { s/^[XO] /X /p; d; };
/ bc / { s/^[XO] /X /p; d; };
/ bdb41 / { s/^[XO] /X /p; d; };
/ bin86 / { s/^[XO] /X /p; d; };
/ binutils / { s/^[XO] /X /p; d; };
/ bison / { s/^[XO] /X /p; d; };
/ boehm-gc / { s/^[XO] /X /p; d; };
/ bzip2 / { s/^[XO] /X /p; d; };
/ cdrtools / { s/^[XO] /X /p; d; };
/ coreutils / { s/^[XO] /X /p; d; };
/ cpuid / { s/^[XO] /X /p; d; };
/ cracklib / { s/^[XO] /X /p; d; };
/ cron / { s/^[XO] /X /p; d; };
/ cups / { s/^[XO] /X /p; d; };
/ curl / { s/^[XO] /X /p; d; };
/ cvs / { s/^[XO] /X /p; d; };
/ devfsd / { s/^[XO] /X /p; d; };
/ device-mapper / { s/^[XO] /X /p; d; };
/ dhcp / { s/^[XO] /X /p; d; };
/ dialog / { s/^[XO] /X /p; d; };
/ diffutils / { s/^[XO] /X /p; d; };
/ disktype / { s/^[XO] /X /p; d; };
/ dump / { s/^[XO] /X /p; d; };
/ e2fsprogs / { s/^[XO] /X /p; d; };
/ ed / { s/^[XO] /X /p; d; };
/ eject / { s/^[XO] /X /p; d; };
/ expat / { s/^[XO] /X /p; d; };
/ file / { s/^[XO] /X /p; d; };
/ findutils / { s/^[XO] /X /p; d; };
/ flex / { s/^[XO] /X /p; d; };
/ freetype / { s/^[XO] /X /p; d; };
/ gawk / { s/^[XO] /X /p; d; };
/ gcc3 / { s/^[XO] /X /p; d; };
/ gdb / { s/^[XO] /X /p; d; };
/ gdbm / { s/^[XO] /X /p; d; };
/ genromfs / { s/^[XO] /X /p; d; };
/ gettext / { s/^[XO] /X /p; d; };
/ gimp / { s/^[XO] /X /p; d; };
/ gimp-print42 / { s/^[XO] /X /p; d; };
/ glib / { s/^[XO] /X /p; d; };
/ glib12 / { s/^[XO] /X /p; d; };
/ glibc23 / { s/^[XO] /X /p; d; };
/ gpm / { s/^[XO] /X /p; d; };
/ grep / { s/^[XO] /X /p; d; };
/ groff / { s/^[XO] /X /p; d; };
/ grub / { s/^[XO] /X /p; d; };
/ gtk+ / { s/^[XO] /X /p; d; };
/ gzip / { s/^[XO] /X /p; d; };
/ hdparm / { s/^[XO] /X /p; d; };
/ hpijs / { s/^[XO] /X /p; d; };
/ ifhp / { s/^[XO] /X /p; d; };
/ ifplugd / { s/^[XO] /X /p; d; };
/ indent / { s/^[XO] /X /p; d; };
/ iproute2 / { s/^[XO] /X /p; d; };
/ iptables / { s/^[XO] /X /p; d; };
/ irda-utils / { s/^[XO] /X /p; d; };
/ isdn4k-utils / { s/^[XO] /X /p; d; };
/ jfsutils / { s/^[XO] /X /p; d; };
/ k3b / { s/^[XO] /X /p; d; };
/ kbd / { s/^[XO] /X /p; d; };
/ kde-i18n-de / { s/^[XO] /X /p; d; };
/ kde-i18n-es / { s/^[XO] /X /p; d; };
/ kde-i18n-fr / { s/^[XO] /X /p; d; };
/ kde-i18n-it / { s/^[XO] /X /p; d; };
/ kdeaccessibility / { s/^[XO] /X /p; d; };
/ kdeaddons / { s/^[XO] /X /p; d; };
/ kdeadmin / { s/^[XO] /X /p; d; };
/ kdeartwork / { s/^[XO] /X /p; d; };
/ kdebase / { s/^[XO] /X /p; d; };
/ kdebindings / { s/^[XO] /X /p; d; };
/ kdeedu / { s/^[XO] /X /p; d; };
/ kdegames / { s/^[XO] /X /p; d; };
/ kdegraphics / { s/^[XO] /X /p; d; };
/ kdelibs / { s/^[XO] /X /p; d; };
/ kdemultimedia / { s/^[XO] /X /p; d; };
/ kdenetwork / { s/^[XO] /X /p; d; };
/ kdepim / { s/^[XO] /X /p; d; };
/ kdesdk / { s/^[XO] /X /p; d; };
/ kdetoys / { s/^[XO] /X /p; d; };
/ kdeutils / { s/^[XO] /X /p; d; };
/ kdevelop / { s/^[XO] /X /p; d; };
/ kdirstat / { s/^[XO] /X /p; d; };
/ kiss / { s/^[XO] /X /p; d; };
/ koffice / { s/^[XO] /X /p; d; };
/ koffice-i18n / { s/^[XO] /X /p; d; };
/ ksymoops / { s/^[XO] /X /p; d; };
/ lcap / { s/^[XO] /X /p; d; };
/ less / { s/^[XO] /X /p; d; };
/ libart_lgpl23 / { s/^[XO] /X /p; d; };
/ libcap / { s/^[XO] /X /p; d; };
/ libdaemon / { s/^[XO] /X /p; d; };
/ libglade / { s/^[XO] /X /p; d; };
/ libidl / { s/^[XO] /X /p; d; };
/ libjpeg / { s/^[XO] /X /p; d; };
/ liblockfile / { s/^[XO] /X /p; d; };
/ libmng / { s/^[XO] /X /p; d; };
/ libpcap / { s/^[XO] /X /p; d; };
/ libpng / { s/^[XO] /X /p; d; };
/ libsdl / { s/^[XO] /X /p; d; };
/ libsdl_console / { s/^[XO] /X /p; d; };
/ libsdl_gfx / { s/^[XO] /X /p; d; };
/ libsdl_image / { s/^[XO] /X /p; d; };
/ libsdl_mixer / { s/^[XO] /X /p; d; };
/ libsdl_net / { s/^[XO] /X /p; d; };
/ libsdl_perl / { s/^[XO] /X /p; d; };
/ libsdl_sound / { s/^[XO] /X /p; d; };
/ libsdl_ttf / { s/^[XO] /X /p; d; };
/ libsdlmm / { s/^[XO] /X /p; d; };
/ libtiff / { s/^[XO] /X /p; d; };
/ libtool / { s/^[XO] /X /p; d; };
/ libxml / { s/^[XO] /X /p; d; };
/ libxml2 / { s/^[XO] /X /p; d; };
/ libxslt / { s/^[XO] /X /p; d; };
/ linux24 / { s/^[XO] /X /p; d; };
/ linux24-header / { s/^[XO] /X /p; d; };
/ linux24-src / { s/^[XO] /X /p; d; };
/ lshw / { s/^[XO] /X /p; d; };
/ lsof / { s/^[XO] /X /p; d; };
/ ltrace / { s/^[XO] /X /p; d; };
/ lvm2 / { s/^[XO] /X /p; d; };
/ lynx / { s/^[XO] /X /p; d; };
/ m4 / { s/^[XO] /X /p; d; };
/ mailx / { s/^[XO] /X /p; d; };
/ make / { s/^[XO] /X /p; d; };
/ man / { s/^[XO] /X /p; d; };
/ man-pages / { s/^[XO] /X /p; d; };
/ mdadm / { s/^[XO] /X /p; d; };
/ memtest86 / { s/^[XO] /X /p; d; };
/ microcode_ctl / { s/^[XO] /X /p; d; };
/ mine / { s/^[XO] /X /p; d; };
/ miscfiles / { s/^[XO] /X /p; d; };
/ mktemp / { s/^[XO] /X /p; d; };
/ mmv / { s/^[XO] /X /p; d; };
/ module-init-tools / { s/^[XO] /X /p; d; };
/ modutils / { s/^[XO] /X /p; d; };
/ mozilla / { s/^[XO] /X /p; d; };
/ mutt / { s/^[XO] /X /p; d; };
/ mysql / { s/^[XO] /X /p; d; };
/ ncftp / { s/^[XO] /X /p; d; };
/ ncompress / { s/^[XO] /X /p; d; };
/ ncurses / { s/^[XO] /X /p; d; };
/ net-snmp / { s/^[XO] /X /p; d; };
/ net-tools / { s/^[XO] /X /p; d; };
/ netkit-base / { s/^[XO] /X /p; d; };
/ netkit-ftp / { s/^[XO] /X /p; d; };
/ netkit-ntalk / { s/^[XO] /X /p; d; };
/ netkit-routed / { s/^[XO] /X /p; d; };
/ netkit-rsh / { s/^[XO] /X /p; d; };
/ netkit-telnet / { s/^[XO] /X /p; d; };
/ nfs-utils / { s/^[XO] /X /p; d; };
/ ntp / { s/^[XO] /X /p; d; };
/ ogg-vorbis / { s/^[XO] /X /p; d; };
/ openssh / { s/^[XO] /X /p; d; };
/ openssl / { s/^[XO] /X /p; d; };
/ pam / { s/^[XO] /X /p; d; };
/ pango / { s/^[XO] /X /p; d; };
/ parted / { s/^[XO] /X /p; d; };
/ patch / { s/^[XO] /X /p; d; };
/ patchutils / { s/^[XO] /X /p; d; };
/ pciutils / { s/^[XO] /X /p; d; };
/ pcmcia-cs / { s/^[XO] /X /p; d; };
/ pcre / { s/^[XO] /X /p; d; };
/ perl5 / { s/^[XO] /X /p; d; };
/ php / { s/^[XO] /X /p; d; };
/ pidentd / { s/^[XO] /X /p; d; };
/ pkgconfig / { s/^[XO] /X /p; d; };
/ popt / { s/^[XO] /X /p; d; };
/ portmap / { s/^[XO] /X /p; d; };
/ postfix / { s/^[XO] /X /p; d; };
/ postgresql / { s/^[XO] /X /p; d; };
/ ppp / { s/^[XO] /X /p; d; };
/ pptp-linux / { s/^[XO] /X /p; d; };
/ procinfo / { s/^[XO] /X /p; d; };
/ procmail / { s/^[XO] /X /p; d; };
/ procps / { s/^[XO] /X /p; d; };
/ psmisc / { s/^[XO] /X /p; d; };
/ psutils / { s/^[XO] /X /p; d; };
/ python / { s/^[XO] /X /p; d; };
/ qt / { s/^[XO] /X /p; d; };
/ quanta / { s/^[XO] /X /p; d; };
/ quota / { s/^[XO] /X /p; d; };
/ rcs / { s/^[XO] /X /p; d; };
/ readline / { s/^[XO] /X /p; d; };
/ reiserfsprogs / { s/^[XO] /X /p; d; };
/ rock-debug / { s/^[XO] /X /p; d; };
/ rock-doc / { s/^[XO] /X /p; d; };
/ rock-src / { s/^[XO] /X /p; d; };
/ rockplug / { s/^[XO] /X /p; d; };
/ rsync / { s/^[XO] /X /p; d; };
/ samba / { s/^[XO] /X /p; d; };
/ screen / { s/^[XO] /X /p; d; };
/ sed / { s/^[XO] /X /p; d; };
/ setserial / { s/^[XO] /X /p; d; };
/ shadow / { s/^[XO] /X /p; d; };
/ sharutils / { s/^[XO] /X /p; d; };
/ slang / { s/^[XO] /X /p; d; };
/ smartmontools / { s/^[XO] /X /p; d; };
/ strace / { s/^[XO] /X /p; d; };
/ subversion / { s/^[XO] /X /p; d; };
/ sysfiles / { s/^[XO] /X /p; d; };
/ sysklogd / { s/^[XO] /X /p; d; };
/ sysstat / { s/^[XO] /X /p; d; };
/ sysvinit / { s/^[XO] /X /p; d; };
/ tar / { s/^[XO] /X /p; d; };
/ tcltk / { s/^[XO] /X /p; d; };
/ tcp_wrappers / { s/^[XO] /X /p; d; };
/ tcpdump / { s/^[XO] /X /p; d; };
/ tcsh / { s/^[XO] /X /p; d; };
/ termcap / { s/^[XO] /X /p; d; };
/ termutils / { s/^[XO] /X /p; d; };
/ texinfo / { s/^[XO] /X /p; d; };
/ tftp-hpa / { s/^[XO] /X /p; d; };
/ time / { s/^[XO] /X /p; d; };
/ tk / { s/^[XO] /X /p; d; };
/ traceroute / { s/^[XO] /X /p; d; };
/ tree / { s/^[XO] /X /p; d; };
/ unzip / { s/^[XO] /X /p; d; };
/ usbutils / { s/^[XO] /X /p; d; };
/ util-linux / { s/^[XO] /X /p; d; };
/ vim / { s/^[XO] /X /p; d; };
/ w32codec / { s/^[XO] /X /p; d; };
/ w3m / { s/^[XO] /X /p; d; };
/ wdiff / { s/^[XO] /X /p; d; };
/ wget / { s/^[XO] /X /p; d; };
/ whois / { s/^[XO] /X /p; d; };
/ wireless-tools / { s/^[XO] /X /p; d; };
/ wu-ftpd / { s/^[XO] /X /p; d; };
/ x86info / { s/^[XO] /X /p; d; };
/ xfree86 / { s/^[XO] /X /p; d; };
/ xfsprogs / { s/^[XO] /X /p; d; };
/ xine / { s/^[XO] /X /p; d; };
/ xscreensaver / { s/^[XO] /X /p; d; };
/ xvid / { s/^[XO] /X /p; d; };
/ zip / { s/^[XO] /X /p; d; };
/ zlib / { s/^[XO] /X /p; d; };
# Disable the rest
/.*/			{ s/^X /O / ; p; d; };'

